<?php get_header(); ?>

<div id="page" class="single">
	<?php dynamic_sidebar('Header Ad'); ?>
	<article class="article" itemscope itemtype="http://schema.org/BlogPosting">
		<?php if (mts_get_thumbnail_url()) : ?>
	        <span itemprop="image" itemscope itemtype="http://schema.org/ImageObject">
	        	<?php $image_data = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'featured' ); ?>
	        	<meta itemprop="url" content="<?php echo esc_url( mts_get_thumbnail_url() ); ?>" />
	        	<meta itemprop="width" content="<?php echo esc_attr( $image_data[1] ); ?>" />
	        	<meta itemprop="height" content="<?php echo esc_attr( $image_data[2] ); ?>" />
	        </span>
	    <?php endif; ?>
		<div id="content_box" itemprop="mainEntityOfPage">
			<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class('g post'); ?>>
					
						<div class="breadcrumb" xmlns:v="http://rdf.data-vocabulary.org/#"><?php mts_the_breadcrumb(); ?></div>
						
						<div class="single_post">
									<header>
										<h1 class="title single-title entry-title" itemprop="headline"><?php the_title(); ?></h1>
										<?php mts_the_postinfo( 'single' ); ?>
									</header><!--.headline_area-->
									<div class="single-featured-thumbnail">
	                      					<?php the_post_thumbnail(); ?>
	                    				</div>
                    					<div class="post-single-content box mark-links entry-content">
										
										<div class="thecontent" itemprop="articleBody">
											<?php the_content(); ?>
										</div>
										<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>', 'link_before'  => '<span class="current"><span class="currenttext">', 'link_after' => '</span></span>', 'next_or_number' => 'next_and_number', 'nextpagelink' => '<i class="fa fa-angle-right"></i>', 'previouspagelink' => '<i class="fa fa-angle-left"></i>', 'pagelink' => '%','echo' => 1 )); ?>
										
										</div><!--.post-single-content-->
								</div><!--.single_post-->
						
						<div class="tags">
									<?php mts_the_tags('<span class="tagtext">'.__('Tags','arbitragex').':</span>',', ') ?>
								</div>
						
						<div class="postauthor">
									<?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '100' );  } ?>
									<div class="author-wrap">
										<h5 class="vcard"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="nofollow" class="fn"><?php the_author_meta( 'nickname' ); ?></a></h5>
										<p><?php the_author_meta('description') ?></p>
									</div>
						</div>
						<?php mts_related_posts(); ?>

						
          
				</div><!--.g post-->
				<?php comments_template( '', true ); ?>
			<?php endwhile; /* end loop */ ?>
		</div>
	</article>
	<?php get_sidebar(); ?>
<?php get_footer(); ?>
